<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DoorContactsActual StructType
 * @subpackage Structs
 */
class DoorContactsActual extends AbstractStructBase
{
    /**
     * The DoorContact1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ContactObjectActual
     */
    public $DoorContact1;
    /**
     * The DoorContact2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ContactObjectActual
     */
    public $DoorContact2;
    /**
     * Constructor method for DoorContactsActual
     * @uses DoorContactsActual::setDoorContact1()
     * @uses DoorContactsActual::setDoorContact2()
     * @param \StructType\ContactObjectActual $doorContact1
     * @param \StructType\ContactObjectActual $doorContact2
     */
    public function __construct(\StructType\ContactObjectActual $doorContact1 = null, \StructType\ContactObjectActual $doorContact2 = null)
    {
        $this
            ->setDoorContact1($doorContact1)
            ->setDoorContact2($doorContact2);
    }
    /**
     * Get DoorContact1 value
     * @return \StructType\ContactObjectActual|null
     */
    public function getDoorContact1()
    {
        return $this->DoorContact1;
    }
    /**
     * Set DoorContact1 value
     * @param \StructType\ContactObjectActual $doorContact1
     * @return \StructType\DoorContactsActual
     */
    public function setDoorContact1(\StructType\ContactObjectActual $doorContact1 = null)
    {
        $this->DoorContact1 = $doorContact1;
        return $this;
    }
    /**
     * Get DoorContact2 value
     * @return \StructType\ContactObjectActual|null
     */
    public function getDoorContact2()
    {
        return $this->DoorContact2;
    }
    /**
     * Set DoorContact2 value
     * @param \StructType\ContactObjectActual $doorContact2
     * @return \StructType\DoorContactsActual
     */
    public function setDoorContact2(\StructType\ContactObjectActual $doorContact2 = null)
    {
        $this->DoorContact2 = $doorContact2;
        return $this;
    }
}
